* {
    margin: 0;
    padding: 0;
    font-family: Roobert,Helvetica Neue,Helvetica,Arial,sans-serif;
    box-sizing: border-box;
}

body {
    /*background-image: url('https://www.publicdomainpictures.net/pictures/310000/velka/bokeh-hintergrund-lichter-textur-1571914748W2h.jpg')*/
    background-image: url('https://www.publicdomainpictures.net/pictures/210000/nahled/bokeh-1488392591cjN.jpg');
    color: lightgray; /* Makes all the text light gray */
}

hr {
    clear: both;
    visibility: hidden;
    padding: 0px;
    margin: 0px;
}

.header{
    width: 100%;
    padding-top: 20px;
}

    .header h1 {
        text-align: center;
        padding-top: 20px;
    }

.navContainer {
    padding: 10px 10%;
    background: #0a060e80;
}

nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

    nav ul li {
        display: inline-block;
        list-style: none;
        margin: 10px 20px;
    }

        nav ul li a {
            color: #FFFFFF;
            text-decoration: none;
            font-size: 18px;
            position: relative;
        }

            nav ul li a::after {
                content: '';
                width: 0;
                height: 3px;
                background: #6d4194;
                position: absolute;
                left: 0;
                bottom: -6px;
                transition: 0.5s;
            }
            nav ul li a:hover::after {
                width: 100%;
            }

.mainContent {
    padding: 5px 5%;
    background-color: #0e0e10;
    margin-left: 5%;
    margin-right: 5%;
    margin-bottom: 5%;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

/*------------*/

.aboutMe img {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.aboutMe h1 {
    text-align: center;
    padding: 20px;
}

.aboutMe h2 {
    text-align: center;
    padding: 15px;
}

.aboutMeList table {
    text-align: center;
    width: 100%;
    margin-bottom: 50px;
}

.aboutMeList td {
    text-align: center;
    padding-bottom: 10px;
    text-decoration: underline dotted dimgray;
}

.favGame ul {
    text-align: center;
    list-style-type: none;
    padding: 0px;
}

.favGame a {
    color: lightgray;
    font-style: italic;
    text-decoration: none;
}

    .favGame a:hover {
        color: #a86ffe;
    }

.recentGrowthContainer {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 20px;
    margin-top: 20px;
    vertical-align: middle;
    float: none;
    float: left;
    text-align: center;
    width: 100%;
    padding: 0 5%;
}

.futureGoals{
    padding-bottom: 100px;
}

/*-------------*/

.overview {
    padding-top: 30px;
}

    .overview hr {
        clear: both;
        visibility: hidden;
        padding: 0px;
        margin: 0px;
    }

    .overview h3 {
        text-align: center;
    }

    .overview h6 {
        font-size: 18px;
        padding-top: 5px;
        padding-bottom: 20px;
    }

.overview_container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
}

.overview_containedItems{
    width: 100%;
    padding: 10px;
    text-align: center;
}

.gameEnginesPieChart {
    float:none;
    margin:auto;
    width: 50%;
    aspect-ratio: 1/1;
    border-radius: 50%;
    background-image: conic-gradient(#83aaf0 20deg, #95D1C9 0 80deg, #a496cf 0);
}

.programmingLangPieChart {
    float: none;
    margin: auto;
    width: 50%;
    aspect-ratio: 1/1;
    border-radius: 50%;
    background-image: conic-gradient(#ffb2e5 50deg, #83aaf0 0 120deg, #95D1C9 0 210deg, #a496cf 0);
}

.projects {
    text-align: center;
    padding: 30px 0;
}

    .projects * {
        padding-bottom: 5px;
        padding-top: 5px;
    }

.projects h2{
    text-align: left;
}

.projects p{
    padding-bottom: 40px;
    margin-left: 10px;
    margin-right: 10px;
    float: left;
    text-align:justify;
}

    .projects hr {
        margin: 0;
        padding: 0;
        clear: both;
    }

.projects a img{
    padding: 0;
}

.projectsDate {
    float: left;
    padding-left: 20px;
}

.projectsStatus {
    float: right;
    padding-right: 20px;
}

.projectsSoftware {
    background: #ec238350;
    border-radius: 5px;
    margin-left: 25%;
    margin-right: 25%;
    margin-bottom: 20px;
}

.projects_section {
    padding-bottom: 20px;
    padding-top: 20px;
    margin-bottom: 20px;
    margin-top: 20px;
    background: black;
    border-radius: 10px;
}

.projects_container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 20px;
    margin-top: 50px;
    background: #e580ff50;
    border-radius: 10px;
    vertical-align: middle;
    float: none;
    padding-left: 10px;
    padding-right: 10px;
    margin-left: 10px;
    margin-right: 10px;
}

.projects_containedItems {
    float: left;
    text-align: center;
    width: 100%;
}

.projects_containedItems video{
    float: right;
}

.slideshow-container {
    position: relative;
}

/* Next & previous buttons */
.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -22px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}

.prev{
    left:0;
}

/* Position the "next button" to the right */
.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

    /* On hover, add a grey background color */
    .prev:hover, .next:hover {
        background-color: #f1f1f1;
        color: black;
    }

.fade {
    animation-name: fade;
    animation-duration: 1.5s;
}

@keyframes fade {
    from {
        opacity: .4
    }

    to {
        opacity: 1
    }
}

/*----------------*/

.gallery {
    margin: 5px;
    border: 1px solid white;
    float: left;
}

    .gallery img {
        background-color: #6d419480;
        aspect-ratio: 1/1;
        height: 216px;
    }

.caption {
    padding: 5px;
    text-align: center;
}

.art {
    padding-left: 10%;
    padding-top: 30px;
}

.extraArt img {
    height: 25%;
    width: 75%;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

/*--------------------*/

#resume {
    padding: 50px 0px;
    padding-left: 0px;
    padding-right: 0px;
    padding-bottom: 20px;
}

.embedResume {
    display: block;
    margin-left: 5%;
    margin-right: 5%;
    width: 90%;
    height: 1200px;
    border: none;
}

/*------------------*/

.contact h5 {
    text-align: center;
    padding: 15px;
}

.contact h6{
    padding-bottom: 15px;
}

.contact h1 {
    text-align: center;
}

.contact a {
    color: #FFFFFF;
    font-style: italic;
    text-decoration: none;
}

.contact_container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    border-radius: 5px;
    padding: 60px;
}

.contact_containedItems {
    background: #000000;
    padding: 40px;
    border-radius: 10px;
    text-align: center;
    transition: background 0.5s, transform 0.5s;
}

    .contact_containedItems:hover {
        background: #6d4194;
        transform: translateY(-10px);
    }
